package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.zyc.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;

/**
 * IP地址资源对象 ip_address_resources
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class IpAddressResources extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String workOrderCode;

    /** 单位名称 */
    @Excel(name = "单位名称")
    private String applicantDepartment;

    /** 联系人 */
    @Excel(name = "联系人")
    private String applicantName;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String applicantNamePhone;

    /** 技术负责人 */
    @Excel(name = "技术负责人")
    private String technicalManager;

    /** 技术负责人电话 */
    @Excel(name = "技术负责人电话")
    private String technicalManagerPhone;

    /** 信息系统名称 */
    @Excel(name = "信息系统名称")
    private String systemName;

    /** 使用数据中心 */
    @Excel(name = "使用数据中心")
    private String usedDataCenter;

    /** IP地址类型 */
    @Excel(name = "IP地址类型")
    private String ipType;

    /** IPV4/IPV6 */
    @Excel(name = "IPV4/IPV6")
    private String ipVersion;

    /** 实例ID */
    @Excel(name = "实例ID")
    private String instanceId;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String deviceSn;

    /** IP地址 */
    @Excel(name = "IP地址")
    private String ipAddress;

    /** 子网掩码 */
    @Excel(name = "子网掩码")
    private String subnetMask;

    /** 网关 */
    @Excel(name = "网关")
    private String gateway;

    /** TCP协议端口号 */
    @Excel(name = "TCP协议端口号")
    private String tcpPort;

    /** UDP协议端口号 */
    @Excel(name = "UDP协议端口号")
    private String udpPort;

    /** 接通市网 */
    @Excel(name = "接通市网")
    private String cityNetwork;

    /** 接通省网 */
    @Excel(name = "接通省网")
    private String provinceNetwork;

    /** 接通国家网 */
    @Excel(name = "接通国家网")
    private String nationalNetwork;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setWorkOrderCode(String workOrderCode) 
    {
        this.workOrderCode = workOrderCode;
    }

    public String getWorkOrderCode() 
    {
        return workOrderCode;
    }
    public void setApplicantDepartment(String applicantDepartment) 
    {
        this.applicantDepartment = applicantDepartment;
    }

    public String getApplicantDepartment() 
    {
        return applicantDepartment;
    }
    public void setApplicantName(String applicantName) 
    {
        this.applicantName = applicantName;
    }

    public String getApplicantName() 
    {
        return applicantName;
    }
    public void setApplicantNamePhone(String applicantNamePhone) 
    {
        this.applicantNamePhone = applicantNamePhone;
    }

    public String getApplicantNamePhone() 
    {
        return applicantNamePhone;
    }
    public void setTechnicalManager(String technicalManager) 
    {
        this.technicalManager = technicalManager;
    }

    public String getTechnicalManager() 
    {
        return technicalManager;
    }
    public void setTechnicalManagerPhone(String technicalManagerPhone) 
    {
        this.technicalManagerPhone = technicalManagerPhone;
    }

    public String getTechnicalManagerPhone() 
    {
        return technicalManagerPhone;
    }
    public void setSystemName(String systemName) 
    {
        this.systemName = systemName;
    }

    public String getSystemName() 
    {
        return systemName;
    }
    public void setUsedDataCenter(String usedDataCenter) 
    {
        this.usedDataCenter = usedDataCenter;
    }

    public String getUsedDataCenter() 
    {
        return usedDataCenter;
    }
    public void setIpType(String ipType) 
    {
        this.ipType = ipType;
    }

    public String getIpType() 
    {
        return ipType;
    }
    public void setIpVersion(String ipVersion) 
    {
        this.ipVersion = ipVersion;
    }

    public String getIpVersion() 
    {
        return ipVersion;
    }
    public void setInstanceId(String instanceId) 
    {
        this.instanceId = instanceId;
    }

    public String getInstanceId() 
    {
        return instanceId;
    }
    public void setDeviceSn(String deviceSn) 
    {
        this.deviceSn = deviceSn;
    }

    public String getDeviceSn() 
    {
        return deviceSn;
    }
    public void setIpAddress(String ipAddress) 
    {
        this.ipAddress = ipAddress;
    }

    public String getIpAddress() 
    {
        return ipAddress;
    }
    public void setSubnetMask(String subnetMask) 
    {
        this.subnetMask = subnetMask;
    }

    public String getSubnetMask() 
    {
        return subnetMask;
    }
    public void setGateway(String gateway) 
    {
        this.gateway = gateway;
    }

    public String getGateway() 
    {
        return gateway;
    }
    public void setTcpPort(String tcpPort) 
    {
        this.tcpPort = tcpPort;
    }

    public String getTcpPort() 
    {
        return tcpPort;
    }
    public void setUdpPort(String udpPort) 
    {
        this.udpPort = udpPort;
    }

    public String getUdpPort() 
    {
        return udpPort;
    }
    public void setCityNetwork(String cityNetwork) 
    {
        this.cityNetwork = cityNetwork;
    }

    public String getCityNetwork() 
    {
        return cityNetwork;
    }
    public void setProvinceNetwork(String provinceNetwork) 
    {
        this.provinceNetwork = provinceNetwork;
    }

    public String getProvinceNetwork() 
    {
        return provinceNetwork;
    }
    public void setNationalNetwork(String nationalNetwork) 
    {
        this.nationalNetwork = nationalNetwork;
    }

    public String getNationalNetwork() 
    {
        return nationalNetwork;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("workOrderCode", getWorkOrderCode())
            .append("applicantDepartment", getApplicantDepartment())
            .append("applicantName", getApplicantName())
            .append("applicantNamePhone", getApplicantNamePhone())
            .append("technicalManager", getTechnicalManager())
            .append("technicalManagerPhone", getTechnicalManagerPhone())
            .append("systemName", getSystemName())
            .append("usedDataCenter", getUsedDataCenter())
            .append("ipType", getIpType())
            .append("ipVersion", getIpVersion())
            .append("instanceId", getInstanceId())
            .append("deviceSn", getDeviceSn())
            .append("ipAddress", getIpAddress())
            .append("subnetMask", getSubnetMask())
            .append("gateway", getGateway())
            .append("tcpPort", getTcpPort())
            .append("udpPort", getUdpPort())
            .append("cityNetwork", getCityNetwork())
            .append("provinceNetwork", getProvinceNetwork())
            .append("nationalNetwork", getNationalNetwork())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
